package com.appiancorp.ps.sail.type;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.PROPERTY)
@XmlType(name="PortalReportColumnData", namespace="http://types.appiancorp.com/ps", propOrder = {
	"cells"
})
public class PortalReportColumnData {
	private List<PortalReportCell> cells = new ArrayList<>();

	@XmlElement
	public List<PortalReportCell> getCells() {
		return cells;
	}

	public void addCell(PortalReportCell cell) {
		cells.add(cell);
	}
}
