package com.appiancorp.ps.sail.type;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import com.appiancorp.suiteapi.type.TypedValue;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PortalReportFilter", namespace="http://types.appiancorp.com/ps", propOrder = {
	"field",
	"operator",
	"value"
})
public class PortalReportFilter {
	@XmlElement(required = true)
	protected String field;

	@XmlElement(required = true)
	protected String operator;

	@XmlElement(required = true)
	protected TypedValue value;

	public PortalReportFilter() { }

	public PortalReportFilter(String field, String operator, TypedValue value) {
		this.field = field;
		this.operator = operator;
		this.value = value;
	}

	public String getField() {
		return field;
	}

	public void setField(String field) {
		this.field = field;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public TypedValue getValue() {
		return value;
	}

	public void setValue(TypedValue value) {
		this.value = value;
	}
}
